Search Unity

  1. Unity Asset Manager is now available in public beta. Try it out now and join the conversation here in the forums.
    Dismiss Notice
  2. Unity 6 Preview is now available. To find out what's new, have a look at our Unity 6 Preview blog post.
    Dismiss Notice
  3. Unity is excited to announce that we will be collaborating with TheXPlace for a summer game jam from June 13 - June 19. Learn more.
    Dismiss Notice

Error when changing Scripts

Discussion in '2021.1 Beta' started by elJoel, Dec 17, 2020.

  1. fuliu

    fuliu

    Joined:
    Apr 16, 2018
    Posts:
    2
    I upgraded the project from 2021.3.15f1c1 to 2022.2.8f1c1 and encountered this problem:
    Processing assembly Library/Bee/artifacts/1900b0aEDbg.dag/_GamePlayModeTests.dll, with 139 defines and 220 references
    Invalid ILPostProcessor configuration: System.InvalidOperationException: Configuration not initialized
    .
    The first time I opened the project with 2022.2.8f1c1, I didn't have this problem, but the second time I opened the project, I got a bunch of similar errors.
    The solution was to remove an unused plug-in from the PackageManager in a project (I can't remember which one), update the TimeLine, and somehow this error disappeared.
    The high probability is that this type of error occurs because the version of Timeline is too low. It is not entirely certain that the problem is completely solved. After all, it happened the second time i opened the project with a new version of Unity.
     
  2. RichyHuang

    RichyHuang

    Joined:
    Aug 24, 2020
    Posts:
    10
    My Project has the same problems while its path has no space...
     
  3. EugenBorman

    EugenBorman

    Joined:
    Mar 31, 2023
    Posts:
    1
    My path is 'G:\Unity\Projects\Test' and I have same problem.
     
  4. daygood

    daygood

    Joined:
    Sep 15, 2017
    Posts:
    1

    my problem fixed with this, I checked caused error script and deleted namespace that I don't use it.
     
  5. vavilov9823

    vavilov9823

    Joined:
    Apr 11, 2021
    Posts:
    5
    Unity 2021.3.21f1 same issue... Still not fixed.
    Its appear when try to build on Android
     
  6. uzair_shaikh

    uzair_shaikh

    Joined:
    Jan 28, 2022
    Posts:
    1
    It worked for me:
    1-Remove the project from the Unity hub by selecting "Remove Project From Disc."
    2-Reset the project's path.
    3-Reimport the project's libraries
     
  7. El1t3L33t

    El1t3L33t

    Joined:
    Jun 14, 2020
    Posts:
    13
    Experiencing the same issue on 2022.3.0 .... Very annoying for our development.
     
  8. bangpr00

    bangpr00

    Joined:
    Jul 3, 2012
    Posts:
    2
    I get this error when trying to upgrade.
    ================================================
    Script updater for Library\Bee\artifacts\1900b0aE.dag\Assembly-CSharp-Editor.dll failed with exitcode 130 and stdout: [Script Updater] Failed to resolve type
    ================================================
    I've tried everything you're talking about.Have no effect.
    After many attempts, I found my own solution.
    In my case, it was solved by modifying editor scripts function.

    Handles.FreeMoveHandle(Vector3 position, Quaternion rotation, float size, Vector3 snap, CapFunction capFunction)

    replace it , just remove rotation parameter.
    => Handles.FreeMoveHandle(Vector3 position, float size, Vector3 snap, CapFunction capFunction)
     
    AceJiang likes this.
  9. chethanv_777

    chethanv_777

    Joined:
    Oct 26, 2022
    Posts:
    6
  10. ATMLVE

    ATMLVE

    Joined:
    Jun 11, 2023
    Posts:
    75
    This error still plagues some of us. There seem to be ways to get rid of it for a bit by manipulating files and packages but it always returns. Mine mentions fishnet but doing not-fishnet things has resolved it in the past.

    It's a strange error as it shows up when you have "too many methods". You try and add a method into a script and suddenly you get this unpassable error. You have to just put the method in another script.


    Processing assembly Library/Bee/artifacts/1900b0aE.dag/Assembly-CSharp.dll, with 131 defines and 251 references
    processors: FishNet.CodeGenerating.ILCore.FishNetILPP, zzzUnity.Burst.CodeGen.BurstILPostProcessor
    running FishNet.CodeGenerating.ILCore.FishNetILPP

    Assembly 'Library/ScriptAssemblies/Assembly-CSharp-Editor.dll' will not be loaded due to errors:
    Unable to resolve reference 'Assembly-CSharp'. Is the assembly missing or incompatible with the current platform?
    Reference validation can be disabled in the Plugin Inspector.
     
  11. AcidArrow

    AcidArrow

    Joined:
    May 20, 2010
    Posts:
    11,958
    I think I'm getting this too in 2022, I wasn't getting it in 2021.

    Any clues on what causes it and how I can make it stop?

     
  12. fafase

    fafase

    Joined:
    Jul 3, 2012
    Posts:
    164
    Had this issue with 2022.3.22 when switching to Android.

    1. On Dekstop platform, close editor
    2. Delete Library folder
    3. Restart editor, it will reinstall the library folder
    4. Switch to Android
    5. Errors about some dll depending on what package you have on your project
    6. Close and restart editor
    7. It's gone for me
     
  13. AcidArrow

    AcidArrow

    Joined:
    May 20, 2010
    Posts:
    11,958
    I already did that unfortunately, but maybe we are at the point where the Library needs a second deletion just for good measure.